package net.simulation;

public class Server extends RacunarNaMrezi{
	
	Klijent[] prijavljeniKlijenti;
	int brPrijavljenihKlijenata;
	
	public Server (String adresa) {
		super(adresa);
		this.brPrijavljenihKlijenata=0;
	}
	
	public void prihvatiZahtev (Klijent klijent, String poruka){
		if (poruka.compareTo("prijava")==0)
		{
			this.prijavljeniKlijenti[this.brPrijavljenihKlijenata] = klijent;
			this.brPrijavljenihKlijenata++;
		}
		else if (poruka.compareTo("odjava")==0)
		{
			for(int i=0;i<this.brPrijavljenihKlijenata;i++)
			{
				if (this.prijavljeniKlijenti[i] == klijent)
				{
					this.prijavljeniKlijenti[i] = this.prijavljeniKlijenti[this.brPrijavljenihKlijenata-1];
					this.brPrijavljenihKlijenata--;
				}
			}
		}
		else if (poruka.compareTo("ping")==0)
		{
			this.obradi(klijent);
		}
	}
	
	protected void obradi(Klijent klijent){
		Mreza.proslediOdgovor(klijent.getAdresa(), "Server "+ klijent.getAdresa() +"salje poruku");
	}
	

}
