package Engine.Figure;

//import java.util.Random;

public class KnightFightEngine {
	
	private int moves=0;
	private String next;
	private Figure[][] board;
	//private final Random rand;
	
	public KnightFightEngine(String next) {
		//this.rand= new Random;
		this.next = next;
		for(int i=0;i<8;i++){
			for(int j=0;j<8;j++)
				this.board[i][j] = board[1][1];
		}
	}
	
	public void initialize(){
		moves+=1;
			board[0][0]= new Knight(next);	
			board[0][1]= new Knight(next);
			board[0][2]= new Knight(next);	
			board[0][3]= new King(next);

	}
	
	public int getMoves() {
		return moves;
	}

	public String getNext() {
		return next;
	}

	public Figure getBoard(int i, int j) {
		return board[i][j];
	}

	
}
