package net.simulation;

public class VebKlijent extends RacunarNaMrezi implements Klijent {
	String imrBrauzera;
	
	public VebKlijent(String adresa, String imrBrauzera) {
		super(adresa);
		this.imrBrauzera=imrBrauzera;
	}

	@Override
	public void Prijavise(String adresa) {
		Mreza.proslediZahtev(adresa, this, "prijava");

	}

	@Override
	public void OdjaviSe(String adresa) {
		Mreza.proslediZahtev(adresa, this, "odjava");

	}

	@Override
	public void PosaljiZahtev(String adresa) {
		Mreza.proslediZahtev(adresa, this, "ping");
	}

	@Override
	public void PrihvatiOdgovor(String poruka) {
		System.out.println( this.toString() + ":" + poruka);
	}

	@Override
	public String toString() {
		return this.getAdresa().toString() + "[" + imrBrauzera + "]";
	}

	
	
}
