package net.simulation;

public class VebKlijent extends RacunarNaMrezi implements Klijent {
	
	String imeBrauzera;
	
	public VebKlijent(String adresa, String imeBrouzera){
		super(adresa);
		this.imeBrauzera = imeBrouzera;
	}

	@Override
	public void prijaviSe(String adresa) {
		Mreza.proslediZahtev(adresa, this, "prijava");
		
	}

	@Override
	public void odjaviSe(String adresa) {
		Mreza.proslediZahtev(adresa, this, "odjava");
		
	}

	@Override
	public void posaljiZahtev(String adresa) {
		Mreza.proslediZahtev(adresa, this, "ping");
		
	}

	@Override
	public void prihvatiOdgovor(String poruka) {
		System.out.println("StringReprezentacija:"+poruka);
		
	}
	
	public String toString(){
		return this.getAdresa();
	}

}
