package net.simulation;

public class Server extends RacunarNaMrezi {

	protected Klijent[] prijavljeniKlijenti=new Klijent[10];
	protected int brojPrijavljenihKlijenata;
	
	public Server(String s){
		super(s);
	}
	
	public void prihvatiZahtev(Klijent k,String s){
		if(s.equals("prijava"))
			prijavljeniKlijenti[brojPrijavljenihKlijenata++]=k;
		else if(s.equals("odjava"))
		{
			int i=0;
			for(;i<brojPrijavljenihKlijenata;i++){
				if(prijavljeniKlijenti[i].equals(k)) break;
			}
			for(;i<brojPrijavljenihKlijenata;i++)
				prijavljeniKlijenti[i]=prijavljeniKlijenti[i++];
		}
		else if(s.equals("ping")) obradi(k);
		else System.out.println("Pogresno uneta poruka, nije ni prijava, ni odjava, ni ping");
	}
	
	protected void obradi(Klijent k) {
		
		String s="Server "+super.getAdresa()+" salje poruku.";
		Mreza.proslediOdgovor(((RacunarNaMrezi)k).getAdresa(), s);	
		
	}

}
