import net.simulation.Mreza;
import net.simulation.MultikastServer;
import net.simulation.RacunarNaMrezi;
import net.simulation.Server;
import net.simulation.VebKlijent;


public class Test {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		Server imi = new Server("imi");
		Server pmf = new Server("pmf");
		MultikastServer face = new MultikastServer("facebook");
		
		VebKlijent ivica = new VebKlijent("ivica", "chrome");
		VebKlijent marica = new VebKlijent("marica", "firefox");
		
		RacunarNaMrezi niz[] = {imi,pmf,face,ivica,marica};
		
		Mreza.registrujUredjaj(imi);
		Mreza.registrujUredjaj(pmf);
		Mreza.registrujUredjaj(face);
		Mreza.registrujUredjaj(ivica);
		Mreza.registrujUredjaj(marica);
		
		

		
		
		ivica.prijaviSe("imi");
		
		
		ivica.prijaviSe("facebook");
		marica.prijaviSe("facebook");
		
		ivica.posaljiZahtev("imi");
		ivica.posaljiZahtev("facebook");
		
		ivica.posaljiZahtev("pmf");
		ivica.posaljiZahtev("facebook");
		
		ivica.odjaviSe("imi");
		ivica.prijaviSe("imi");
	}

}
