package net.simulation;

public class Mreza {

	
	private static RacunarNaMrezi dostupniUredjaji[] = new RacunarNaMrezi[15];
	private static int brUredjaja;
	
	public static void registrujUredjaj(RacunarNaMrezi r) {
		dostupniUredjaji[brUredjaja++]=r;
	}
	
	private static RacunarNaMrezi  pronadji(String adresa) {
		
		for(int i=0; i<brUredjaja ;i++){
			if(dostupniUredjaji[i]!=null && dostupniUredjaji[i].getAdresa().equals(adresa) )
				return dostupniUredjaji[i];
			
		}
		return null;
	}
	public static void proslediZahtev(String adresa, Klijent k, String poruka){
		/*
		for(int i=0; i<brUredjaja ;i++){
			if(dostupniUredjaji[i] != null && dostupniUredjaji[i] instanceof Server && ((Server)dostupniUredjaji[i]).getAdresa().equals(adresa))
				((Server)dostupniUredjaji[i]).prihvatiZahtev(k, poruka);
			
			
		}
		*/
				RacunarNaMrezi p = pronadji(adresa);
				
				if(p != null)
					if(p instanceof Server)
						((Server)p).prihvatiZahtev(k, poruka);
						
		
		
	}
	
	public static void proslediOdgovor(String adresaKL, String poruka){
		/*for(int i=0; i<brUredjaja ;i++){
			if(dostupniUredjaji[i] != null && dostupniUredjaji[i] instanceof Klijent && ((Klijent)dostupniUredjaji[i]).getAdresa().equals(adresaKL))
				((Klijent)dostupniUredjaji[i]).prihvatiOdgovor(poruka);
	}
	*/
		RacunarNaMrezi p = pronadji(adresaKL);
		
		if(p != null)
			if(p instanceof VebKlijent)
				((VebKlijent)p).prihvatiOdgovor(poruka);
		
		
}
	
	
	
	
}